MongoDB PHP Extension 1.14.1 Released

The PHP team is happy to announce that version 1.14.1 of the mongodb PHP extension is now available on PECL.

Release Highlights

This release upgrades our libbson and libmongoc dependencies to 1.22.1. The libmongocrypt dependency has been upgraded to 1.5.2.

A complete list of resolved issues in this release may be found in JIRA.

Documentation

Documentation is available on PHP.net.

Installation

You can either download and install the source manually, or you can install the extension with:

pecl install mongodb-1.14.1

or update with:

pecl upgrade mongodb-1.14.1

Windows binaries are available on PECL.

1 Like

On Ubuntu 22.04 with PHP 8.1.2 I’m experiencing this issue … is a new release coming soon?

See PHPC-1706: Don't try linking against libresolv on AIX (#1172) · mongodb/mongo-php-driver@b581f2a · GitHub … apparently broken on Ubuntu 22.04 as well.

1.14.2 has been released and includes the fix for PHPC-2152.

2 Likes

Thanks, Jeremy. Calvin sez hi :slight_smile:

This topic was automatically closed after 90 days. New replies are no longer allowed.